From 920d527176b6a315271a93ae013fa1cfe6b289df Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 7 May 2019 22:36:28 +0200
Subject: [PATCH] bwm-ng: update to 0.6.2.

---
 srcpkgs/bwm-ng/template | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/bwm-ng/template b/srcpkgs/bwm-ng/template
index 71227773b3a..ed87fecef10 100644
--- a/srcpkgs/bwm-ng/template
+++ b/srcpkgs/bwm-ng/template
@@ -1,15 +1,20 @@
 # Template file for 'bwm-ng'
 pkgname=bwm-ng
-version=0.6.1
-revision=2
+version=0.6.2
+revision=1
 build_style=gnu-configure
+hostmakedepends="automake"
 makedepends="ncurses-devel"
-short_desc="A console-based live network and disk io bandwidth monitor"
+short_desc="Console-based live network and disk io bandwidth monitor"
 maintainer="Enno Boland <gottox@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-or-later"
 homepage="http://www.gropp.org/?id=projects&sub=bwm-ng"
-distfiles="http://www.gropp.org/bwm-ng/bwm-ng-0.6.tar.gz"
-checksum=c1134358e268329d438b0996399003b0f0b966034fb4b5b138761c2f3c62ffdd
-wrksrc="${pkgname}-${version%.*}"
+distfiles="https://github.com/vgropp/bwm-ng/archive/v${version}.tar.gz"
+checksum=906a2d561f2ec9e0dd68b7f51b302908e99515ea1216d0ecaf14d873ef54ae70
+nocross='configure: error: "NO INPUT FOUND"'
 
 CFLAGS="-fgnu89-inline"
+
+pre_configure() {
+	autoreconf -fi
+}
